Show / Hide Table of Contents

# Class Convert.WordOutputOptions

A class containing options common to ToWord functions

##### Inheritance

object
Convert.WordOutputOptions

##### Inherited Members

object.Equals(object)
object.Equals(object, object)
object.GetHashCode()
object.GetType()
object.MemberwiseClone()
object.ReferenceEquals(object, object)
object.ToString()

###### Namespace: pdftron.PDF

###### Assembly: PDFTronDotNet.dll

##### Syntax

    public class Convert.WordOutputOptions

### Constructors

#### WordOutputOptions()

Creates a WordOutputOptions object with default settings

##### Declaration

    public WordOutputOptions()

### Methods

#### GetFootnotesSetting()

Get the setting for footnotes from this options object.

##### Declaration

    public Convert.StructuredOutputOptions.SectionConversionSetting GetFootnotesSetting()

##### Returns

Type | Description
--- | ---
Convert.StructuredOutputOptions.SectionConversionSetting | The current footnote setting.

#### GetHeadersAndFootersSetting()

Get the setting for headers and footers from this options object.

##### Declaration

    public Convert.StructuredOutputOptions.SectionConversionSetting GetHeadersAndFootersSetting()

##### Returns

Type | Description
--- | ---
Convert.StructuredOutputOptions.SectionConversionSetting | The current header and footer setting.

#### SetConnectHyphens(bool)

Specifies whether hyphens in the PDF should be connected. Default is false.

##### Declaration

    public void SetConnectHyphens(bool connect)

##### Parameters

Type | Name | Description
--- | --- | ---
bool | connect | if true, hyphens in the PDF will be connected.

#### SetCustomOCRLanguage(string)

Specifies the custom OCR languages to use. Use 3-letter ISO 639-2 language codes, separated by spaces. Example: "eng deu spa fra". The default is English.

##### Declaration

    public void SetCustomOCRLanguage(string ocrlang)

##### Parameters

Type | Name | Description
--- | --- | ---
string | ocrlang | the OCR language(s).

#### SetDetectTOC(bool)

Specifies whether Table of Contents should be detected from the document content when converting to Word. Default is true. Note: This option should only be used by customers who are already familiar with the Solid Documents SDK from being a customer, or if they have been advised by support.

##### Declaration

    public void SetDetectTOC(bool detect_toc)

##### Parameters

Type | Name | Description
--- | --- | ---
bool | detect_toc | If true, Table of Contents is automatically detected. If false, no Table of Contents detection is performed.

#### SetFootnotesSetting(SectionConversionSetting)

Specifies how footnotes should be converted. Default is e_Recover, which will include them as footnotes.

##### Declaration

    public void SetFootnotesSetting(Convert.StructuredOutputOptions.SectionConversionSetting option)

##### Parameters

Type | Name | Description
--- | --- | ---
Convert.StructuredOutputOptions.SectionConversionSetting | option | The footnotes setting.

#### SetHeadersAndFootersSetting(SectionConversionSetting)

Specifies how header and footers should be converted. Default is e_Recover, which will include them as headers and footers.

##### Declaration

    public void SetHeadersAndFootersSetting(Convert.StructuredOutputOptions.SectionConversionSetting option)

##### Parameters

Type | Name | Description
--- | --- | ---
Convert.StructuredOutputOptions.SectionConversionSetting | option | The header and footer setting.

#### SetLanguage(LanguageChoice)

Specifies the OCR language. Default is automatic language detection.

##### Declaration

    public void SetLanguage(Convert.OutputOptionsOCR.LanguageChoice language)

##### Parameters

Type | Name | Description
--- | --- | ---
Convert.OutputOptionsOCR.LanguageChoice | language | the OCR language.

#### SetPDFPassword(string)

Specifies the password if the PDF requires one.

##### Declaration

    public void SetPDFPassword(string password)

##### Parameters

Type | Name | Description
--- | --- | ---
string | password | the PDF password, if required; an empty string otherwise.

#### SetPages(int, int)

Specifies a range of pages to be converted. By default all pages are converted. The first page has the page number of 1.

##### Declaration

    public void SetPages(int page_from, int page_to)

##### Parameters

Type | Name | Description
--- | --- | ---
int | page_from | the first page to be converted.
int | page_to | the last page to be converted (inclusive). Use a negative value to specify the last page in the PDF.

#### SetPreferredOCREngine(PreferredOCREngine)

Specifies the preferred OCR engine.

##### Declaration

    public void SetPreferredOCREngine(Convert.OutputOptionsOCR.PreferredOCREngine engine)

##### Parameters

Type | Name | Description
--- | --- | ---
Convert.OutputOptionsOCR.PreferredOCREngine | engine | the preferred OCR engine.

#### SetPrioritizeVisualAppearance(bool)

Specifies whether to prefer an exact visual replica of the PDF at the expense of preventing reflow of document paragraphs. Default is false.

##### Declaration

    public void SetPrioritizeVisualAppearance(bool replica)

##### Parameters

Type | Name | Description
--- | --- | ---
bool | replica | False is preferred for most documents that contain paragraphs. Consider using true for documents that don't flow, such as CAD drawings, Illustrator-generated files.

#### SetSearchableImageSetting(SearchableImageSetting)

Specifies how scanned image pages should be converted. Default is e_ocr_text.

##### Declaration

    public void SetSearchableImageSetting(Convert.WordOutputOptions.SearchableImageSetting setting)

##### Parameters

Type | Name | Description
--- | --- | ---
Convert.WordOutputOptions.SearchableImageSetting | setting | the searchable image setting.

##### Remarks

Pre-existing OCRed content is ignored and a new OCR is performed from scratch.

#### SetTextRecoveryNSE(bool)

Specifies whether to use OCR in order to automatically recover text with a non-standard encoding. Default is true. Note: This option should only be used by customers who are already familiar with the Solid Documents SDK from being a customer, or if they have been advised by support.

##### Declaration

    public void SetTextRecoveryNSE(bool use_ocr)

##### Parameters

Type | Name | Description
--- | --- | ---
bool | use_ocr | If true, problem characters are automatically recovered using OCR. If false, no automatic repair is performed.

#### SetWordOutputFormat(WordOutputFormat)

Specifies the output document format (DOCX, RTF, TXT). It is the most useful when the output file extension is not .docx, .rtf or .txt.

##### Declaration

    public void SetWordOutputFormat(Convert.WordOutputOptions.WordOutputFormat format)

##### Parameters

Type | Name | Description
--- | --- | ---
Convert.WordOutputOptions.WordOutputFormat | format | the output document format (DOCX, RTF, TXT).

##### Remarks

The DOC file format is now deprecated, DOCX is used automatically instead.